using APT.BaseData.Domain.Entities;
using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.CM
{
    /// <summary>
    /// 应急物资库附件表
    /// </summary>
    [Description("应急物资库附件表")]
    public class T_CM_MATERIAL_LIBRARY_FILE : MesEntityBase
    {
        /// <summary>
        /// 应急物资库ID
        /// </summary>
        [Description("应急物资库ID")]
        [DataFieldForeignKey("Nav_MaterialLibrary", "Nav_Files")]
        public Guid MATERIAL_LIBRARY_ID { get; set; }

        /// <summary>
        /// 导航属性：应急预案修订记录
        /// </summary>
        [Description("导航属性：应急物资库")]
        public virtual T_CM_MATERIAL_LIBRARY Nav_MaterialLibrary { get; set; }

        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }

        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}